Trying to use revcloud in a lisp...

Discussion in 'AutoCAD' started by Rick Keller, Jun 3, 2004.

  1. Rick Keller

    Rick Keller Guest

    I am trying to:

    always run revcloud in paperspace.
    create or set the current layer to "cloud"
    Run the revcloud command
    then insert a block with an attribute in it.

    My routine draws the cloud but then skips through the rest of the program, I
    know this is something simple but I cannot remember what it is.


    (Defun C:CLOUD (/ )

    (if (= 1 tilemd)
    (setvar "tilemode" 1)
    )
    (command "layer" "m" "cloud" "")
    (command "revcloud" pause)
    (setq rpnt (getpoint "\nPick point for revision block.. "))
    (terpri)
    (setvar "attdia" 1)
    (command "insert" "//g12/support/blocks/plan/revision" rpnt "" "" "")
    (Princ)
    ) ;end cloud.lsp


    Thanks,
    Rick
     
    Rick Keller, Jun 3, 2004
    #1
  2. Rick Keller

    Rick Keller Guest

    Nicely written Chip. I wish I wrote things as neat as you do.
    But I want to stop the routine while the revcloud command is still running
    so I have full functionality of revcloud...
    I just dont know how to do it.

    Rick
     
    Rick Keller, Jun 3, 2004
    #2
  3. Rick Keller

    Chip Harper Guest

    Something like this.....?

    (command "revcloud" )
    (while (> (getvar "cmdactive") 0) (command pause))
     
    Chip Harper, Jun 3, 2004
    #3
  4. Rick Keller

    Rick Keller Guest

    Exactly... I knew it had to be a while statement & cmdactive but I didn't
    remember how to put them together.

    Thanks a bunch
    Rick
     
    Rick Keller, Jun 3, 2004
    #4
  5. Rick Keller

    Chip Harper Guest

    Your Welcome. :)
     
    Chip Harper, Jun 4, 2004
    #5
  6. Rick Keller

    Rick Keller Guest

    Thanks... I'll have a look.

    But I have mine working perfect now.
     
    Rick Keller, Jun 7, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.